multidb 3.0 reported as 2.9.2 and database connection error on upgrade

I downloaded the multi-db 3.0 version but in the source it's saying it's 2.9.2

also, when I save the new file to wp-content, I get a database connection error so I have to revert back to my original version 2.85.

What are the upgrade steps to go from 2.8.5 version to 3.0 version? do I need to update db-config.php too?